#!/bin/bash

#rpmbuildDir="/run/media/jpc/SanDisk_JPC/distributions/soc/9-alma/rpmbuild"
 rpmbuildDir="/dsk/l2/distributions/soc/9-alma/rpmbuild"
#    githash="6edca05"
#    githash="1979e0b"
#    githash="3209c07"
#    githash="1926013"
#    githash="049e3abf9baf795e69b9ecb9c4f19de6131f8418"
#    githash="a6c90c9772c2377ad56999e0d57a2514a8fd33dc"
     githash="93ef395e1"
     ghdlPluginGithash="d7b09b7"

 if [ ! -d ${rpmbuildDir} ]; then
   echo "[ERROR] \"${rpmbuildDir}\" doesn\'t exists."
   exit 1
 fi
 cd ${rpmbuildDir}

 pushd ./SOURCES/yosys-uhdm
 git archive --format tar.gz -o ../yosys-0.24.git${githash}.tar.gz --prefix=yosys-0.24/ ${githash}
 popd
 pushd ./SOURCES/ghdl-yosys-plugin
 git archive --format tar.gz -o ../ghdl-yosys-plugin-git${ghdlPluginGithash}.tar.gz --prefix=ghdl-yosys-plugin/ ${ghdlPluginGithash}
 popd

 rpmbuild -bp \
          --define "githash ${githash}" \
          --define "ghdl_plugin_githash ${ghdlPluginGithash}" SPECS.SoC/yosys-uhdm.spec

#rpmbuild -ba --clean \
#         --define "githash ${githash}" \
#         --define "ghdl_plugin_githash ${ghdlPluginGithash}" SPECS.SoC/yosys-uhdm.spec
